import type { QueryResult } from "koishi-plugin-stats";
export declare function formatDataForEChartsHeatmap(data: QueryResult): any[];
/**
 * 生成 ECharts 配置项
 * @param {Array} data - 处理后的数据
 * @param {String} range - 处理后的数据
 * @returns {Object} - ECharts 配置项
 */
export declare function generateHeatmapOption(data: any, range: any): {
    backgroundColor: string;
    tooltip: {
        position: string;
        formatter: (params: any) => string;
    };
    visualMap: {
        min: number;
        max: number;
        calculable: boolean;
        orient: string;
        left: string;
        top: string;
        inRange: {
            color: string[];
        };
    };
    calendar: {
        top: string;
        left: string;
        cellSize: number[];
        yearLabel: {
            show: boolean;
        };
        orient: string;
        dayLabel: {
            firstDay: number;
            nameMap: string[];
        };
        monthLabel: {
            show: boolean;
            nameMap: string[];
        };
        range: any;
    };
    series: ({
        type: string;
        coordinateSystem: string;
        data: any;
        symbolSize?: undefined;
        label?: undefined;
    } | {
        type: string;
        coordinateSystem: string;
        symbolSize: number;
        label: {
            show: boolean;
            formatter: (params: any) => string;
            color: string;
        };
        data: any;
    })[];
};
