/// <reference types="node" />
import { Context, Logger, Schema, Service } from "koishi";
import * as echarts from "echarts";
export { echarts };
export declare const name = "echarts";
declare module "koishi" {
    interface Context {
        echarts: ECharts;
    }
}
export declare class ECharts extends Service {
    config: ECharts.Config;
    static inject: {
        required: string[];
        optional: string[];
    };
    createChart(width: number, height: number, options: echarts.EChartsOption, theme?: string): Promise<{
        canvas: import("@ahdg/canvas").Canvas;
        chart: echarts.ECharts;
        dispose: () => void;
    }>;
    createChartPNG(width: number, height: number, options: echarts.EChartsOption, theme?: string): Promise<Buffer>;
    get logger(): Logger;
    constructor(ctx: Context, config: ECharts.Config);
}
export default ECharts;
export declare namespace ECharts {
    interface Config {
        width: number;
        height: number;
        themesDir: string;
        defaultTheme: string;
    }
    const Config: Schema<Config>;
}
